-- IndustrialTest
-- Copyright (C) 2023 mrkubax10

-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.

-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.

-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.

local S=minetest.get_translator("industrialtest")

local mtgAvailable=minetest.get_modpath("default")
local mclAvaliable=minetest.get_modpath("mcl_core")

-- compatibilty that adds not existing elements
if mclAvailable then
	-- register required items that are not available in MCL
	minetest.register_craftitem("industrialtest:raw_tin",{
		description=S("Raw Tin"),
		inventory_image="industrialtest_mcl_raw_tin.png"
	})
	minetest.register_craftitem("industrialtest:tin_ingot",{
		description=S("Tin Ingot"),
		inventory_image="industrialtest_mcl_tin_ingot.png"
	})
	
	-- register crafts that are not available in MCL
	minetest.register_craft({
		type="cooking",
		output="industrialtest:tin_ingot",
		recipe="industrialtest:raw_tin"
	})

	-- register required blocks that are not available in MCL
	minetest.register_node("industrialtest:tin_ore",{
		description=S("Tin Ore"),
		tiles={"default_stone.png^industrialtest_mcl_tin_ore.png"},
		sounds=mcl_sounds.node_sound_stone_defaults(),
		drop="industrialtest:raw_tin"
	})

	-- register required ores that are not available in MCL
	local stonelike={"mcl_core:stone","mcl_core:diorite","mcl_core:andesite","mcl_core:granite"}
	minetest.register_ore({
		ore_type="scatter",
		ore="industrialtest:tin_ore",
		wherein="mcl_core:stone",
		clust_scarity=10*10*10,
		clust_num_ores=5,
		clust_size=3,
		y_max=mcl_worlds.layer_to_y(39),
		y_min=mcl_vars.mg_overworld_min
	})
end